Name: 		kdenlive
Version: 	0.5
Release: 	%mkrel 2
License: 	GPL
Summary: 	A non-linear video editing application for KDE
Group:		Graphical desktop/KDE
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: 	%name-%version.tar.bz2
BuildRequires:	kdelibs-devel
BuildRequires:	mlt-devel >= 0.2.4
BuildRequires:	mlt++-devel
BuildRequires:	libavc-devel
BuildRequires:	libiec61883-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	desktop-file-utils
Requires:	mlt >= 0.2.4
Requires:	kdebase-progs >= 3.0.0
URL:		http://kdenlive.sourceforge.net/

%description
Kdenlive is a non-linear video editor for KDE. It relies on a separate
renderer, piave, to handle it's rendering. Kdenlive supports multitrack
editing.

%prep
%setup -q

%build
make -f admin/Makefile.common cvs

%ifarch %ix86
export CXXFLAGS="%optflags -fno-omit-frame-pointer"
%endif
%configure2_5x \
		--enable-shared \
		--disable-static \
		--disable-embedded \
		--disable-palmtop \
		--disable-rpath \
		--with-gnu-ld \
		--with-pic \
		--with-xinerama

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

desktop-file-install --vendor='' \
	--dir %buildroot%_datadir/applications/kde \
	--add-category='Video;AudioVideoEditing' \
	%buildroot%_datadir/applications/kde/*.desktop

%find_lang %name

%clean
rm -rf %{buildroot}

%post
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%doc %{_docdir}/HTML
%_bindir/*
%_datadir/apps/%{name}
%_datadir/config.kcfg
%_datadir/applications/kde/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%_datadir/mimelnk/application/vnd.kde.kdenlive.desktop
%_datadir/mimelnk/application/vnd.kde.kdenlive.scenelist.desktop


%changelog
* Thu Aug 16 2007 Funda Wang <fundawang@mandriva.org> 0.5-2mdv2008.0
+ Revision: 64117
- fix file list
- Renew tarball

* Sun Aug 12 2007 Funda Wang <fundawang@mandriva.org> 0.5-1mdv2008.0
+ Revision: 62192
- fix file list
- BR ffmpeg
- New version 0.5

* Fri Aug 10 2007 Funda Wang <fundawang@mandriva.org> 0.4-4mdv2008.0
+ Revision: 61500
- add fdo category(bug#32464)

* Wed Aug 01 2007 Adam Williamson <awilliamson@mandriva.com> 0.4-3mdv2008.0
+ Revision: 57307
- drop old menu file
- drop now bogus dependency on piave
- small clean (drop 2006.0 conditionals)


* Wed Feb 07 2007 Laurent Montel <lmontel@mandriva.com> 0.4-2mdv2007.0
+ Revision: 117212
- Fix requires

* Wed Dec 13 2006 Anssi Hannula <anssi@mandriva.org> 0.4-1mdv2007.1
+ Revision: 96473
- from Jos?\195?\169 Jorge <jjorge@free.fr>
  o 0.4
  o drop no longer needed patch 0
  o action icons added to spec

* Sun Oct 29 2006 Anssi Hannula <anssi@mandriva.org> 0.3-1mdv2007.1
+ Revision: 73615
- 0.3
- clean spec
- drop no longer needed patches 1, 2, 3, 4
- patch0: fix autoconf detection
- add new buildrequires and requires
- use find_lang
- add clean_desktop_database
- Import kdenlive

* Wed Aug 30 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.4-4mdv2007.0
- Add Patch 4: Fix automake > 1.7 detection

* Sat Jul 01 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.43mdv2007.0
- Use macros for icons

* Sun Jan 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.4-2mdk
-  Add Patch 3 ( from qa.mandriva.com at vpanel.cjb.net) :
		- Fix ticket 15538
- Fix URL
- Use mkrel

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-10mdk
- Fix spec file

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-9mdk
- Rebuild

* Sun May 23 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.3-8mdk
- grf, forgot the automake buildrequires

* Sat May 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.3-7mdk
- fix buildrequires
- do rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- fix path to qt (lib64 issue)
- added url
- fixed typo

* Thu Apr 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-6mdk
- Fix requires

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-5mdk
- use %%configure
- use mdkversion

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-4mdk
- Fix piave path

* Sun Feb 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-3mdk
- Rebuild

